package com.arms.api.analysis.time.service;

import com.arms.api.analysis.time.model.dto.TimeDTO;
import com.arms.api.analysis.time.model.vo.*;

import java.util.List;

public interface AnalysisTime {

    //히트맵
    HeatMapVO getHeatMapDataByUpdated(TimeDTO timeDTO);
    DateIssueCountVO getDateHistogramCardinalityData(TimeDTO timeDTO);
    //스캐터
    List<ScatterChartVO> getScatterData(TimeDTO timeDTO);
    // 멀티콤비네이션 차트
    List<AlmIssueStatVO> getMultiCombinationChartData(TimeDTO timeDTO);
    // vertical-timeline
    List<VerticalTimeLineVO> getUpdatedReqIssueByDateRange(TimeDTO timeDTO);
    // ridge-line
    List<RidgeLineVO> getRidgeLineData(TimeDTO timeDTO);
}
